1curl --location 'https://api.nonli.com/v2.1/bots/bulk' \
2 --header 'Content-Type: application/json' \
3 --header 'Authorization: Bearer YOUR_API_TOKEN' \
4 --data '{
5 "bot": [
6 {
7 "title": "Morning feed review",
8 "brandId": 1,
9 "auto": false,
10 "activation": {
11 "alive": false
12 },
13 "timezone": "Europe/Paris",
14 "runCyclePeriod": {
15 "min": 30,
16 "max": 60
17 },
18 "source": {
19 "urn": "urn:nonli:feed:https://example.com/rss.xml",
20 "name": "Editorial feed"
21 },
22 "target": [
23 {
24 "urn": "urn:nonli:sa:facebook:PAGE_ID",
25 "name": "Facebook page"
26 }
27 ],
28 "post": [
29 {
30 "index": 0,
31 "prefix": "",
32 "suffix": ""
33 }
34 ],
35 "fieldMapping": [
36 {
37 "source": "title",
38 "target": "message"
39 }
40 ],
41 "sourceMessage": "title",
42 "sourceTitle": "title",
43 "sourceImage": "og_image"
44 }
45 ]
46 }'
5.Social accounts
5 endpointsRead connected social accounts and quota data required before creating or scheduling posts.
/social-accountsBearer requis5.1.Search social accounts
Return social accounts available to the authenticated company and user.
Paramètres query
sizeint50pageint0qstringqfstringsortstringfiltersstringfiltersOrstringexcludesstringfieldsstringexistsstringembedstringChamps retournés
totalintrowsSocialAccount[]idintexternalIdstringnamestringtypestringbrandIdintstatusstringExemple
/social-accounts/:socialAccountIdBearer requis5.2.Get a social account
Return one connected social account with publishing metadata.
Paramètres query
fieldsstringChamps retournés
idintexternalIdstringnamestringtypestringbrandIdintExemple
/social-accounts/publishing-quotaBearer requis5.3.Get publishing quota
Return publishing quota information for selected social accounts before scheduling posts.
Paramètres query
socialAccountsstringChamps retournés
quotaobjectusageobjectExemple
/social-accounts/youtube/playlistsBearer requis5.4.Get YouTube playlists
Return YouTube playlists for connected YouTube social accounts.
Paramètres query
sizeint20 or endpoint-specificpageint0qstringqfstringsortstringfiltersstringfiltersOrstringexcludesstringfieldsstringexistsstringChamps retournés
totalintrowsobject[]Exemple
/social-accounts/pinterest/boardsBearer requis5.5.Get Pinterest boards
Return Pinterest boards for connected Pinterest social accounts.
Paramètres query
sizeint20 or endpoint-specificpageint0qstringqfstringsortstringfiltersstringfiltersOrstringexcludesstringfieldsstringexistsstringChamps retournés
totalintrowsobject[]Exemple